#version 430

layout (location=0) in vec3 vertexPosition;

out vec2 coord;

uniform mat4 projectionMatrix;
uniform mat4 modelViewMatrix;
uniform float g_time;

void main() {
  vec3 vp = (vertexPosition*2.0-1.0*vec3(1.0, 1.0, 1.0));
  vp.y = vp.y;
  gl_Position = vec4(vp, 1.0);
  coord = vertexPosition.xy;
}
